Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogFiles Method
DatabaseEnvironment Class See Also

The names of all of the log files

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public List<string> LogFiles(
    	bool AbsolutePaths
    )

Visual Basic (Declaration)
    Public Function LogFiles ( _
    	AbsolutePaths As Boolean _
    ) As List(Of String)

Visual C++
    public:
    List<String^>^ LogFiles(
    	bool AbsolutePaths
    )

#### Parameters

AbsolutePaths
  Type: System..::.Boolean
  If true, all pathnames are returned as absolute pathnames, instead of relative to the database home directory.

#### Return Value

All the log filenames, regardless of whether or not they are in use.

# Remarks

The Berkeley DB interfaces to the database environment logging subsystem (for example, Abort()()()) may allocate log cursors and have open file descriptors for log files as well. On operating systems where filesystem related system calls (for example, rename and unlink on Windows/NT) can fail if a process has an open file descriptor for the affected file, attempting to move or remove the log files listed by LogFiles may fail. All Berkeley DB internal use of log cursors operates on active log files only and furthermore, is short-lived in nature. So, an application seeing such a failure should be restructured to retry the operation until it succeeds. (Although this is not likely to be necessary; it is hard to imagine a reason to move or rename a log file in which transactions are being logged or aborted.)

See the db_archive utility for more information on database archival procedures.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace